I cannot install the realese 4.2 version nor update the one I alredy have

AngelAD91
Posts: 1
Joined: Fri Jul 03, 2020 5:57 pm

I cannot install the realese 4.2 version nor update the one I alredy have

Postby AngelAD91 » Fri Jul 03, 2020 7:17 pm

Hello,

I want to install the 4.2 release version of ESP-IDF in my PC,I downloaded the realese version from GitHub and then I ran the commants install.bat and export.bat within the ESP-IDF release 4.2. The following error appears when I try to build a project:
fatal: not a git repository (or any of the parent directories): .git
When I run the export.bat command, this warning appears:
fatal: No names found, cannot describe anything.
WARNING: Git describe was unsuccessul: Command '['git', 'describe', '--tags']' returned non-zero exit status 128.
Also, I tried to update the ESP-IDF I have on my PC (4.0), which I installed using the installer tool, with the following commands:
cd $IDF_PATH
git fetch
git checkout release/v4.2
git pull
git submodule update --init --recursive
But a message appeared stating that I have to stash or commit my changes before checking out, I stashed and reset the ESP-IDF folder but still the same message appears.

I hope you can help me,

Regards

Who is online

Users browsing this forum: Bing [Bot], DonIdaGreat, Google [Bot], markkuk and 18 guests